<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
include '../engine/classes/bbcode.class.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  #Запрос подсчета количества страниц (являеться аналогом центрального циклового запроса, за исключением параметров сортировки)
  $support_page = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM tickets ORDER BY time DESC" ) );
  $kolvo = 15;
  $all = $support_page['count'];
  $allpage = ceil( $all / $kolvo );
  $this_page = ( isset( $_GET['p'] ) ) ? intval( $_GET['p'] ) : 1 ;
  if ( $this_page < 1 ) $this_page = 1;
  if ( $this_page > $allpage ) $this_page = $allpage;
  $start = $this_page * $kolvo - $kolvo;
  if ( $start == -$kolvo ) { $start = 1; }
  
  ?>
    <script type="text/javascript">
      function config_2(a) {
		$.ajax ({
            url: 'ajax_update.php?func=deltickets',
            type: 'POST',
            data: ({id: a }),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                location.reload();
              } 
            }
        });
      }
	  
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Техподдержка</h2>

			<div class="row">
			  <div class="col-md-10">
				<div class="panel panel-default">
				  <div class="panel-heading">Список тикетов (обращений в ТП)</div>
				  <div class="panel-body">
					<div class="alert alert-dismissible alert-warning">
					  <button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
					  <strong>Внимание!</strong> Ни по каких ссылках из текста жалоб не переходите!!! Помните о безопасности, это может быть прослушка кеша браузера (фишинг).
					</div>
					<table class="display table table-striped table-bordered table-hover" >
					<?
					  $tickets_me = mysql_query("SELECT * FROM tickets ORDER BY time DESC LIMIT $start,$kolvo");
					  while ($tickets_row = mysql_fetch_array($tickets_me)) {
						
						if ($tickets_row['status'] == 0) {
						  $status = '<span style="float: right; margin-top: 5px; color: #29abe0; font-size: 12px;"><i class="fa fa-external-link-square" aria-hidden="true" > </i> NEW</span>';
						  $color = 'F5434D';
						} else {
						  $status = '';
						  $color = '';
						}
						
						$tiket_null = $tickets_row['id'];
						
						switch ( $tickets_row['type'] ) {
						  case '1':
							$namerazdel = 'Размещение и работа рекламы';
							break;
						  case '2':
							$namerazdel = 'Оплачен, но не зачислен заказ';
							break;
						  case '3':
							$namerazdel = 'Вывод средств';
							break;
						  case '4':
							$namerazdel = 'Рефералы';
							break;
						  case '5':
							$namerazdel = 'Техническая неисправность';
							break;
						  case '6':
							$namerazdel = 'Жалоба на рекламу';
							break;
						  case '0':
							$namerazdel = 'Прочие вопросы';
							break;
						}
						
						?>
						  <tr style="border-left: 2px solid #<?=$color?>;">
							<td class="tabright" style="width: 10%; text-align: center; color: #333;">№<?=$tickets_row['id']?></td>
							<td class="tableft" style="width: auto; text-align: left;">
							  <a href="?page=ticket&id=<?=$tickets_row['id']?>" onclick="Page.Go(this.href); return false;" style="color: #34558B; text-decoration: none;">
							    <?=$tickets_row['title']?><?=$status?>
							  </a>
							</td>
							<td class="tableft" style="width: 250px; text-align: center; color: #f47c3c;">
							  <?=$namerazdel?>
							</td>
							<td class="tableft" style="width: auto; text-align: center; ">
								<a href="?page=ticket&id=<?=$tickets_row['id']?>" class="btn btn-success btn-xs" >Посмотреть</a>
								<a href="#" class="btn btn-danger btn-xs" onclick="deltickets(<?=$tickets_row['id']?>);return false;">Удалить</a>
							</td>
						  </tr>
						<?
					  }
					  if($tiket_null < 1) { 
						?>
						  <div class="alert alert-dismissible alert-danger">
							<button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
							<strong>Внимание!</strong> Обращений в тех поддержку не найдено.
						  </div>
						<?
					  }
					?>
					
					</table>
					<div class="div_centralizator"><? echo navigation( 15, ( int ) $_GET['p'], $support_page['count'], '?page=support&p=' ); ?></div>
				    <br/>
				  </div>
				</div>
			  </div>
			  
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>